# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename socks-proxy-agent

Name:               nodejs-socks-proxy-agent
Version:            2.0.0
Release:            2%{?dist}
Summary:            A SOCKS (v4a) proxy http.Agent implementation

# License is in README.md
License:            MIT
URL:                https://www.npmjs.org/package/socks-proxy-agent
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif


%description
This module provides an http.Agent implementation that connects to a specified
SOCKS (v4a) proxy server, and can be used with the built-in http or https
modules.

It can also be used in conjunction with the ws module to establish a WebSocket
connection over a SOCKS proxy.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

# socks-client is renamed to socks, make this work while we work on renaming
# the package in Fedora.
sed -i "s/var SocksClient = require('socks');/var SocksClient = require('socks-client');/" \
   socks-proxy-agent.js
%nodejs_fixdep -r socks
%nodejs_fixdep socks-client

%nodejs_fixdep extend


%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/socks-proxy-agent
cp -pr package.json socks-proxy-agent.js \
    %{buildroot}%{nodejs_sitelib}/socks-proxy-agent

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/socks-proxy-agent/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 01 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.0.0-1
- new version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.1.2-1
- Initial packaging for Fedora.
